﻿<UserControl x:Class="DessinECH.Views.CanvasUserControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:Custom="clr-namespace:System.Windows.Controls.Ribbon;assembly=System.Windows.Controls.Ribbon"
             mc:Ignorable="d" 
             d:DesignHeight="1300" d:DesignWidth="1000" Cursor="Arrow" Loaded="My_Paint_Loaded">
    <StackPanel>
        <Grid Width="1000">
            <Grid.RowDefinitions>
                <RowDefinition Height="auto"/>
                <RowDefinition Height="*"/>
            </Grid.RowDefinitions>
            <Custom:Ribbon Grid.Row="0" x:Name="RibbonMenu" Width="auto" Cursor="Arrow" Height="auto" VerticalAlignment="Top">
                <!-- Menu -->
                <Custom:Ribbon.ApplicationMenu>
                    <Custom:RibbonApplicationMenu>
                        <Custom:RibbonApplicationMenuItem Header="Open" Click="menuFileOpen_Click"/>
                        <Custom:RibbonApplicationMenuItem Header="Save" Click="menuFileSave_Click"/>
                        <Custom:RibbonApplicationMenuItem Header="Save as" Click="menuFileSaveAs_Click"/>
                    </Custom:RibbonApplicationMenu>
                </Custom:Ribbon.ApplicationMenu>
                <!-- Size -->
                <Custom:RibbonGroup Name="grSize" Header="Size">
                    <Grid>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="Auto"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>
                        <Grid Grid.Row="0">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="Auto"/>
                                <ColumnDefinition Width="*"/>
                            </Grid.ColumnDefinitions>
                            <Label Grid.Column="0" Name="lblWidth" Content="Width"/>
                            <TextBox Grid.Column="1" Name="txtWidth" Width="50" Height="20"  Margin="4,3,0,0" VerticalAlignment="Top" 
                                 KeyDown="ConfirmCanvasSize" LostKeyboardFocus="CanvasSizeChange"/>
                        </Grid>
                        <Grid Grid.Row="1">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="Auto"/>
                                <ColumnDefinition Width="*"/>
                            </Grid.ColumnDefinitions>
                            <Label Grid.Column="0" Name="lblHeight" Content="Height"/>
                            <TextBox Grid.Column="1" Name="txtHeight" Width="50" Height="20" LostKeyboardFocus="CanvasSizeChange" Margin="0,0,0,3" VerticalAlignment="Bottom" KeyDown="ConfirmCanvasSize"/>
                        </Grid>
                    </Grid>
                </Custom:RibbonGroup>
                <!-- Shape -->
                <Custom:RibbonGroup Name="grShapes" Header="Shapes" Background="White" Width="110" Margin="0">
                    <Grid >
                        <Grid.RowDefinitions>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="*"/>
                        </Grid.RowDefinitions>
                        <Grid Grid.Row="0">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="1*"/>
                                <ColumnDefinition Width="1*"/>
                                <ColumnDefinition Width="1*"/>
                            </Grid.ColumnDefinitions>
                            <!-- LINE -->
                            <Custom:RibbonButton Grid.Column="0" Height="30" Width="25" ToolTip="Line" Click="btnLine_Click">
                                <Custom:RibbonButton.PressedBackground>
                                    <ImageBrush Stretch="Uniform" ImageSource="/Helpers/Images/Editing-Line-icon.png"/>
                                </Custom:RibbonButton.PressedBackground>
                                <Custom:RibbonButton.MouseOverBackground>
                                    <ImageBrush Stretch="Uniform" ImageSource="/Helpers/Images/Editing-Line-icon.png"/>
                                </Custom:RibbonButton.MouseOverBackground>
                                <Custom:RibbonButton.FocusedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Editing-Line-icon.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.FocusedBackground>
                                <Custom:RibbonButton.Background>
                                    <ImageBrush ImageSource="/Helpers/Images/Editing-Line-icon.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.Background>
                            </Custom:RibbonButton>
                            <!-- ELLIPSE -->
                            <Custom:RibbonButton Grid.Column="1" Height="30" Width="25" ToolTip="Ellipse" Click="btnEllipse_Click">
                                <Custom:RibbonButton.PressedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Ellipse.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.PressedBackground>
                                <Custom:RibbonButton.MouseOverBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Ellipse.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.MouseOverBackground>
                                <Custom:RibbonButton.FocusedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Ellipse.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.FocusedBackground>
                                <Custom:RibbonButton.Background>
                                    <ImageBrush ImageSource="/Helpers/Images/Ellipse.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.Background>
                            </Custom:RibbonButton>
                            <!-- RECTANGLE -->
                            <Custom:RibbonButton Grid.Column="2" Height="30" Width="25" ToolTip="Rectangle" Click="btnRectangle_Click">
                                <Custom:RibbonButton.PressedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Rectangle.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.PressedBackground>
                                <Custom:RibbonButton.MouseOverBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Rectangle.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.MouseOverBackground>
                                <Custom:RibbonButton.FocusedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Rectangle.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.FocusedBackground>
                                <Custom:RibbonButton.Background>
                                    <ImageBrush ImageSource="/Helpers/Images/Rectangle.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.Background>
                            </Custom:RibbonButton>
                        </Grid>
                        <Grid Grid.Row="1">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="1*"/>
                                <ColumnDefinition Width="1*"/>
                                <ColumnDefinition Width="1*"/>
                            </Grid.ColumnDefinitions>
                            <!-- TRIANGLE -->
                            <Custom:RibbonButton Grid.Column="0" Name="btnTriangle"  Width="30" Height="25" ToolTip="Triangle" Click="btnTriangle_Click">
                                <Custom:RibbonButton.PressedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Triangle.png"/>
                                </Custom:RibbonButton.PressedBackground>
                                <Custom:RibbonButton.MouseOverBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Triangle.png"/>
                                </Custom:RibbonButton.MouseOverBackground>
                                <Custom:RibbonButton.FocusedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Triangle.png" Stretch="Uniform"/>
                                </Custom:RibbonButton.FocusedBackground>
                                <Custom:RibbonButton.Background>
                                    <ImageBrush ImageSource="/Helpers/Images/Triangle.png"/>
                                </Custom:RibbonButton.Background>
                            </Custom:RibbonButton>
                            <!-- ARROW -->
                            <Custom:RibbonButton Grid.Column="1" Name="btnArrow" Width="30" Height="25" ToolTip="Arrow" Click="btnArrow_Click">
                                <Custom:RibbonButton.PressedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Arrow.png" Stretch="UniformToFill"/>
                                </Custom:RibbonButton.PressedBackground>
                                <Custom:RibbonButton.MouseOverBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Arrow.png" Stretch="UniformToFill"/>
                                </Custom:RibbonButton.MouseOverBackground>
                                <Custom:RibbonButton.FocusedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Arrow.png" Stretch="UniformToFill"/>
                                </Custom:RibbonButton.FocusedBackground>
                                <Custom:RibbonButton.Background>
                                    <ImageBrush ImageSource="/Helpers/Images/Arrow.png" Stretch="UniformToFill"/>
                                </Custom:RibbonButton.Background>
                            </Custom:RibbonButton>
                            <!-- myWINDOW -->
                            <Custom:RibbonButton Grid.Column="2" Name="btnWindow" Width="30" Height="25" ToolTip="Window" Click="btnWindow_Click">
                                <Custom:RibbonButton.PressedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Heart.png"/>
                                </Custom:RibbonButton.PressedBackground>
                                <Custom:RibbonButton.MouseOverBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Heart.png"/>
                                </Custom:RibbonButton.MouseOverBackground>
                                <Custom:RibbonButton.FocusedBackground>
                                    <ImageBrush ImageSource="/Helpers/Images/Heart.png"/>
                                </Custom:RibbonButton.FocusedBackground>
                                <Custom:RibbonButton.Background>
                                    <ImageBrush ImageSource="/Helpers/Images/Heart.png"/>
                                </Custom:RibbonButton.Background>

                                <!-- an other one -->
                            </Custom:RibbonButton>
                        </Grid>
                    </Grid>

                </Custom:RibbonGroup>
            </Custom:Ribbon>
            <!-- Paint Canvas -->
            <ScrollViewer Grid.Row="1" HorizontalScrollBarVisibility="Visible" VerticalScrollBarVisibility="Visible">
                <Canvas x:Name="paintCanvas" HorizontalAlignment="Left" VerticalAlignment="Top" Width="1000" Height="1000" Background="White" 
                    ClipToBounds="True" SnapsToDevicePixels="True" ForceCursor="True" Cursor="Cross" 
                    MouseMove="paintCanvas_MouseMove" KeyDown="paintCanvas_KeyDown" PreviewKeyDown="paintCanvas_PreviewKeyDown"
                    PreviewMouseLeftButtonDown="paintCanvas_PreviewMouseLeftButtonDown" PreviewMouseLeftButtonUp="paintCanvas_PreviewMouseLeftButtonUp"  
                    MouseLeftButtonUp="paintCanvas_MouseLeftButtonUp" MouseLeftButtonDown="paintCanvas_MouseDown" 
                   >
                    <Canvas.ContextMenu>
                        <ContextMenu >
                            <MenuItem Header="Copy" Click="Copy_Click"/>
                            <MenuItem Header="Cut" Click="Cut_Click"/>
                            <MenuItem Header="Paste" Click="Paste_Click"/>
                        </ContextMenu>
                    </Canvas.ContextMenu>
                </Canvas>
            </ScrollViewer>
        </Grid>
        <!-- Data of ECH -->
        <Border CornerRadius="8" BorderBrush="Black" BorderThickness="2" Background="OrangeRed">
            <TextBlock Text="Ici il y aurait les données des ECH present dans le dessin" FontSize="30"/>
        </Border>
    </StackPanel>
</UserControl>
